com.trendmicro.ds.platform.rest.api

## Interface IManagerInfoAPI

-     @Path(value="/managerInfo")
      public interface IManagerInfoAPI

  The APIs to return information about the Manager.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ComponentInfoElement>` | `getComponentSummary(java.lang.String sessionId)` return detail component info in current system
    `FeatureSummaryElement` | `getFeatureSummary(int timescale, java.lang.String sessionId)` Get status summary of each protection feature
    `java.lang.String` | `getManagerVersion()` Return DSM version.
    `javax.ws.rs.core.Response` | `getMessageInMCPLogon(java.lang.Integer header, java.lang.String sessionId)` Return a LOGON message in MCP blob
    `java.lang.String` | `getProductGUID(java.lang.String sessionId)` Return product GUID for TMCM to identify the server.
    `StatusSummaryElement` | `getStatusSummary(java.lang.String sessionId)` return the status summary of the system

- - ### Method Detail

    - #### getProductGUID

          @GET
           @Path(value="/productGUID")
           @Produces(value="text/plain")
          java.lang.String getProductGUID(@QueryParam(value="sID")
                                                                                                           java.lang.String sessionId)

      Return product GUID for TMCM to identify the server.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        product server GUID

    - #### getManagerVersion

          @GET
           @Path(value="/version")
           @Produces(value="text/plain")
          java.lang.String getManagerVersion()

      Return DSM version.
      Returns:
        DSM version

    - #### getMessageInMCPLogon

          @GET
           @Path(value="/messageInMCP/logon")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getMessageInMCPLogon(@QueryParam(value="header")
                                                                                                                                               java.lang.Integer header,
                                                                                                                                               @QueryParam(value="sID")
                                                                                                                                               java.lang.String sessionId)
                                                                                                                                        throws java.lang.Exception

      Return a LOGON message in MCP blob
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        LOGON MCP blob
      Throws:
        `java.lang.Exception`

    - #### getComponentSummary

          @GET
           @Path(value="/components")
           @Produces(value={"application/json","application/xml"})
          java.util.List<ComponentInfoElement> getComponentSummary(@QueryParam(value="sID")
                                                                                                                                                             java.lang.String sessionId)
                                                                                                                                                      throws java.lang.Exception

      return detail component info in current system
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        component update information
      Throws:
        `java.lang.Exception`

    - #### getStatusSummary

          @GET
           @Path(value="/statusSummary")
           @Produces(value={"application/json","application/xml"})
          StatusSummaryElement getStatusSummary(@QueryParam(value="sID")
                                                                                                                                             java.lang.String sessionId)
                                                                                                                                      throws java.lang.Exception

      return the status summary of the system
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        status summary including host status summary and alert numbers
      Throws:
        `java.lang.Exception`

    - #### getFeatureSummary

          @GET
           @Path(value="/featureSummary")
           @Produces(value={"application/json","application/xml"})
          FeatureSummaryElement getFeatureSummary(@QueryParam(value="timescale")
                                                                                                                                                int timescale,
                                                                                                                                                @QueryParam(value="sID")
                                                                                                                                                java.lang.String sessionId)
                                                                                                                                         throws java.lang.Exception

      Get status summary of each protection feature
      Parameters:
        `timescale` - 1 - last 7 days; 2 - last 24 hours; *
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        FeatureSummary including summaries of each protection feature.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.